const fs = require('fs')
const path = require('path')

module.exports = (api, { config, lintOn = [] }, _, invoking) => {
  if (typeof lintOn === 'string') {
    lintOn = lintOn.split(',')
  }
  const pkg={
    dependencies:{
      'flyio':'^0.6.9',
      "universal-cookie": "^3.0.7",
      'vue-router':'^3.0.1',
      'ant-design-vue':'^1.3.5',
      'anxin-vue': '^0.0.23',
    }
  }
  api.extendPackage(pkg)
  if (api.invoking) {

  }
  api.render((files, render) => {
    delete files['src/router.ts']
    delete files['src/router.js']
    delete files['src/main.js']
  })
  api.render('./template')
}